Class(function(extend, using, self){
    extend("pages/page");
    using("lib/jquery.min.js");

    self.info_ref = null;

    self.func(function(curData){

        var that = this;
        /*点击关闭窗口按钮*/
        $(document).delegate(".close", "click", function () {
            that.info_ref.close();
        });

        that.info_ref = curData;//poplogic;
        var reg = "";
        var info =  that.info_ref.getInfo();
        $('body').append(info);
        var t = info.match(/<.*?title.*?>(.*?)<.*?>/)[1];
        that.info_ref.setCaption(t);

        that.addCall("loadingDefaultImage", function (e,uid)
            {
                e.src = "static/images/hall/female.png";
            }
        )

    })
})